User Tools

Site Tools


skycat

Differences

This shows you the differences between two versions of the page.

Link to this comparison view

Both sides previous revision Previous revision
Next revision
Previous revision
skycat [2009/05/11 02:03]
pkubanek Ubuntu 09.04 updates
skycat [2010/03/26 00:00]
Line 1: Line 1:
-====== Introduction ====== 
- 
-This document is ment as a simple howto for installing [[http://​archive.eso.org/​cms/​tools-documentation/​skycat|ESO SkyCat Tool]] on Debian and Ubuntu systems. It surely is not comprehensive or authoritative,​ it's rather the simple description of "how we did it". But it still may come in handy ;-). 
- 
-The original version from Petr Kubanek was only for Ubuntu (08.10 and 09.04), now it's extended to Debian 4.0 Etch. 
- 
-====== Downloads ====== 
- 
-From [[http://​archive.eso.org/​cms/​tools-documentation/​eso-skycat-download|Skycat download]] get skycat sources. As TclTk sources are included in Debian, you don't need them! 
- 
-Then install required libraries: 
- 
-  * Ubuntu <= 08.10: 
-<code bash> 
-user@host:​~$ wget http://​archive.eso.org/​cms/​tools-documentation/​skycat-download/​skycat-3.0.2.src.tar.gz 
-user@host:​~$ sudo apt-get install tcl8.4-dev tk8.4-dev blt-dev itcl3.1-dev itk3.1-dev tclx8.4 
-</​code>​ 
- 
-  * Ubuntu 09.04: 
-<code bash> 
-user@host:​~$ wget http://​archive.eso.org/​cms/​tools-documentation/​skycat-download/​skycat-3.0.2.src.tar.gz 
-user@host:​~$ sudo apt-get install tcl8.5-dev tk8.5-dev blt-dev itcl3-dev itk3-dev 
-</​code>​ 
-  * Debian: 
-<code bash> 
-user@host:​~$ wget http://​archive.eso.org/​cms/​tools-documentation/​skycat-download/​skycat-3.0.2.src.tar.gz 
-user@host:​~$ sudo apt-get install tcl8.4-dev tk8.4-dev blt-dev itcl3-dev itk3-dev tclx8.4 iwidgets4 
-</​code>​ 
- 
-====== Patching ====== 
- 
-  * Ubuntu & Debian: 
-<code bash> 
-user@host:​~$ tar -xzf skycat-3.0.2.src.tar.gz 
-user@host:​~$ cd skycat-3.0.2/​ 
-user@host:​~$ ./configure --with-tcl=/​usr/​lib/​tcl8.4/​ --with-tk=/​usr/​lib/​tk8.4/​ --with-tkinclude=/​usr/​include/​tcl8.4/ ​ --with-blt=/​usr/​lib 
-</​code>​ 
- 
-You will get error (libBLT24), which is expected. Now edit //​tclutil/​configure//,​ find **libBLT24** and replace this line: 
- 
-<​code>​ 
-    BLT_LIBNAME=libBLT24${SHLIB_SUFFIX} 
-    BLT_LIBFLAG=-lBLT24 
-</​code>​ 
- 
-with 
- 
-<​code>​ 
-    BLT_LIBNAME=libBLT.2.4${SHLIB_SUFFIX}.8.4 
-    BLT_LIBFLAG=-lBLT 
-</​code>​ 
- 
-in case you have ///​usr/​lib/​libBLT.2.4.so.8.4//​. If you have some different version, please use it. 
- 
-  * Seems as case only for Ubuntu 09.04 
- 
-You need to edit //​cat/​generic/​AstroQuery.h//​ and put //#include <​string.h>//​ to it, right after //#include <​cstdio>//​ 
- 
-<code c++> 
-#include <​cstdio>​ 
-#include <​string.h>​ 
-#include "​WorldOrImageCoords.h"​ 
-</​code>​ 
- 
-Also edit //​astrotcl/​generic/​ImageIO.h//,​ around line 307 should be: 
- 
-<code c++> 
-    // reverse the effect of bzero and bscale 
-    double unScaleValue(double d) const {return (d-bzero_)/​bscale_;​} 
- 
-    // return the size in bytes of a raw image pixel  
-    int pixelSize() const {return abs((float) bitpix_)/​8;​} 
- 
-    // member access 
-</​code>​ 
- 
-  * Debian (seems to be not a problem in ubuntu?): 
-There is one more problem, you have to edit these files: 
-  ./​cat/​configure 
-  ./​rtd/​configure 
-  ./​tclutil/​configure 
-  ./​skycat/​configure 
-  ./​astrotcl/​configure 
- 
-There is an error in those files, you have to change the line 
-  system=MP-RAS-`awk '​{print }' /​etc/​.relid'​` 
-to 
-  system=MP-RAS-`awk '​{print }' /​etc/​.relid` 
-(redundant single quote mark). 
- 
- 
-====== Make ====== 
- 
-  * Debian, Ubuntu <= 08.10: 
-<code bash> 
-user@host:​~$ ./configure --with-tcl=/​usr/​lib/​tcl8.4/​ --with-tk=/​usr/​lib/​tk8.4/​ --with-tkinclude=/​usr/​include/​tcl8.4/ ​ --with-blt=/​usr/​lib 
-user@host:​~$ make all 
-user@host:​~$ sudo make install 
-</​code>​ 
- 
-  * Ubuntu 09.04: 
-<code bash> 
-user@host:​~$ <code bash> 
-user@host:​~$ /configure --with-tcl=/​usr/​lib/​tcl8.5/​ --with-tk=/​usr/​lib/​tk8.5 --with-tkinclude=/​usr/​include/​tcl8.5 --with-blt=/​usr/​li 
-user@host:​~$ make all 
-user@host:​~$ sudo make install 
-</​code>​ 
- 
-====== Troubleshooting ====== 
- 
-Please write to [[petr@iaa.es]],​ and attach error description. 
- 
  
skycat.txt ยท Last modified: 2010/03/26 00:00 (external edit)